Workspaces
List workspace members
List the members of the workspace your API key was created for, with each member's `user_id`, `role`, `status` and name and email. Use a member's `user_id` as a workspace reminder's `assignee_id`; onl
GET /v2/workspaces/{workspaceId}/members
Parameters
Path parameters
workspaceId
string (uuid) required
Responses
200 — Successful response
Content-Type: application/json
data
object required
data.members
array<object> required
data.members[].workspace_id
string (uuid) required
data.members[].user_id
string required
data.members[].role
string enum required
Possible values:
"owner", "admin", "standard", "viewer"data.members[].status
string enum required
Possible values:
"pending", "active", "deactivated"data.members[].joined_at
string (date-time) required
data.members[].deactivated_at
string (date-time) required
data.members[].departure
string enum required
Possible values:
"left", "deactivated"data.members[].user
object required
data.members[].user.first_name
string | null required
data.members[].user.last_name
string | null required
data.members[].user.email
string | null required
data.members[].user.image_url
string | null required
data.members[].user.is_deleted
boolean required
data.pagination
object
data.pagination.nextCursor
string | null
data.pagination.count
integer
Example
{
"data": {
"members": [
{
"workspace_id": "00000000-0000-0000-0000-000000000000",
"user_id": "string",
"role": "owner",
"status": "pending",
"joined_at": "2026-10-23T10:31:51.492Z",
"deactivated_at": "2026-10-23T10:31:51.492Z",
"departure": "left",
"user": {
"first_name": "string",
"last_name": "string",
"email": "string",
"image_url": "string",
"is_deleted": false
}
}
]
}
}
400 — Request body failed validation.
Content-Type: application/json
(body)
any
401 — Missing or invalid API key.
Content-Type: application/json
(body)
any
403 — Valid key, insufficient permission.
Content-Type: application/json
(body)
any
404 — Resource does not exist.
Content-Type: application/json
(body)
any
409 — Request conflicts with the current state of the resource.
Content-Type: application/json
(body)
any
429 — Rate limit exceeded.
Content-Type: application/json
(body)
any
500 — Unexpected server error.
Content-Type: application/json
(body)
any
Code samples
curl https://api.prod.getdex.com/v2/workspaces/00000000-0000-0000-0000-000000000000/members \
--header 'Authorization: Bearer YOUR_API_KEY'
fetch('https://api.prod.getdex.com/v2/workspaces/00000000-0000-0000-0000-000000000000/members', {
headers: {
Authorization: 'Bearer YOUR_API_KEY'
}
})
requests.get(
"https://api.prod.getdex.com/v2/workspaces/00000000-0000-0000-0000-000000000000/members",
headers={
"Authorization": "Bearer YOUR_API_KEY"
}
)
List your workspaces
List the Dex for Teams workspaces you are an active member of, with your `role` in each and `api_access_enabled`, whether its owners and admins have opened it to members' API keys and MCP connections.
List workspace contact interactions
Per-member retained email, meeting and shared-note dates, and `linkedin_connected_at`, the earliest date the member connected with the contact on LinkedIn (it counts toward Known by but is not an inte

